/*
 * @Date: 2021-12-06 17:31:43
 * @LastEditors: JinxuChen
 * @LastEditTime: 2021-12-07 17:55:13
 * @FilePath: \GpsCardAdmin\src\api\off-limits-manage.js
 * @description: 告警识别内容接口
 */
import request from '@/utils/request'
export const APILimits = {
    getRecognition,
    changeRecognition,
    areaCategoryQuery,
    delRecognition
};
export default APILimits;


// 自动报警通用关键词查询
function getRecognition(params) {
    return request({
        url: '/api/v1/Fence/AreaSysFilterQuery',
        method: 'post',
        data: params,
    });
}
// 新增/编辑自动报警通用关键词查询, 通过id判断是新增还是编辑 0是新增 不是0则为编辑
function changeRecognition(params) {
    return request({
        url: '/api/v1/Fence/AddAreaSysFilter',
        method: 'post',
        data: params,
    });
}
// 删除自动报警通用关键词,
function delRecognition(params) {
    return request({
        url: '/api/v1/Fence/DeleteAreaAlarmFilter',
        method: 'post',
        data: params,
    });
}
// 自动报警分类查询（分页
function areaCategoryQuery(params) {
    return request({
        url: '/api/v1/Fence/AreaCategoryQuery',
        method: 'post',
        data: params,
    });
}